package com.mdd.admin.vo.decorate;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("装修底部导航列表Vo")
public class DecorateTabsListsVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("id")
   private Integer id;
   @ApiModelProperty("导航名称")
   private String name;
   @ApiModelProperty("已选图标")
   private String selected;
   @ApiModelProperty("未选图标")
   private String unselected;
   @ApiModelProperty("id")
   private Object link;
   @ApiModelProperty("创建时间")
   private String createTime;
   @ApiModelProperty("更新时间")
   private String updateTime;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public String getSelected() {
      return this.selected;
   }

   public String getUnselected() {
      return this.unselected;
   }

   public Object getLink() {
      return this.link;
   }

   public String getCreateTime() {
      return this.createTime;
   }

   public String getUpdateTime() {
      return this.updateTime;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setSelected(String selected) {
      this.selected = selected;
   }

   public void setUnselected(String unselected) {
      this.unselected = unselected;
   }

   public void setLink(Object link) {
      this.link = link;
   }

   public void setCreateTime(String createTime) {
      this.createTime = createTime;
   }

   public void setUpdateTime(String updateTime) {
      this.updateTime = updateTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DecorateTabsListsVo)) {
         return false;
      } else {
         DecorateTabsListsVo other = (DecorateTabsListsVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label95: {
               Object this$id = this.getId();
               Object other$id = other.getId();
               if (this$id == null) {
                  if (other$id == null) {
                     break label95;
                  }
               } else if (this$id.equals(other$id)) {
                  break label95;
               }

               return false;
            }

            Object this$name = this.getName();
            Object other$name = other.getName();
            if (this$name == null) {
               if (other$name != null) {
                  return false;
               }
            } else if (!this$name.equals(other$name)) {
               return false;
            }

            Object this$selected = this.getSelected();
            Object other$selected = other.getSelected();
            if (this$selected == null) {
               if (other$selected != null) {
                  return false;
               }
            } else if (!this$selected.equals(other$selected)) {
               return false;
            }

            label74: {
               Object this$unselected = this.getUnselected();
               Object other$unselected = other.getUnselected();
               if (this$unselected == null) {
                  if (other$unselected == null) {
                     break label74;
                  }
               } else if (this$unselected.equals(other$unselected)) {
                  break label74;
               }

               return false;
            }

            label67: {
               Object this$link = this.getLink();
               Object other$link = other.getLink();
               if (this$link == null) {
                  if (other$link == null) {
                     break label67;
                  }
               } else if (this$link.equals(other$link)) {
                  break label67;
               }

               return false;
            }

            Object this$createTime = this.getCreateTime();
            Object other$createTime = other.getCreateTime();
            if (this$createTime == null) {
               if (other$createTime != null) {
                  return false;
               }
            } else if (!this$createTime.equals(other$createTime)) {
               return false;
            }

            Object this$updateTime = this.getUpdateTime();
            Object other$updateTime = other.getUpdateTime();
            if (this$updateTime == null) {
               if (other$updateTime != null) {
                  return false;
               }
            } else if (!this$updateTime.equals(other$updateTime)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof DecorateTabsListsVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $selected = this.getSelected();
      result = result * 59 + ($selected == null ? 43 : $selected.hashCode());
      Object $unselected = this.getUnselected();
      result = result * 59 + ($unselected == null ? 43 : $unselected.hashCode());
      Object $link = this.getLink();
      result = result * 59 + ($link == null ? 43 : $link.hashCode());
      Object $createTime = this.getCreateTime();
      result = result * 59 + ($createTime == null ? 43 : $createTime.hashCode());
      Object $updateTime = this.getUpdateTime();
      result = result * 59 + ($updateTime == null ? 43 : $updateTime.hashCode());
      return result;
   }

   public String toString() {
      return "DecorateTabsListsVo(id=" + this.getId() + ", name=" + this.getName() + ", selected=" + this.getSelected() + ", unselected=" + this.getUnselected() + ", link=" + this.getLink() + ", createTime=" + this.getCreateTime() + ", updateTime=" + this.getUpdateTime() + ")";
   }
}
